Skip to content
GET /unified/ecommerce/products

Partial response — use the "get" endpoint for the full object.

Query Parameters

Refer Specifying query parameters in Truto APIs

updated_atstring · date-time

The date and time when product was updated

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
namestring

The name of a product

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
sort_byobject
3 supported
Bigcommerce
supported
Wix
supported
WooCommerce
supported
created_atstring · date-time

The date and time when product was created

Possible values:
ascdesc
3 supported
Bigcommerce
supported
Wix
supported
WooCommerce
supported
idstring

The unique identifier for a product

Possible values:
ascdesc
1 supported
WooCommerce
supported
updated_atstring · date-time

The date and time when product was updated

Possible values:
ascdesc
2 supported
Bigcommerce
supported
Wix
supported
created_atstring · date-time

The date and time when product was created

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_key_bystring

By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.

Example: id
truto_ignore_limitboolean

Ignores the limit query parameter.

truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

next_cursorstring

The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.

resultobject[]

List of Products

idstring
required·

The unique identifier for a product

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
categoriesobject[]

The categories of a product

3 supported
Commerce7
supported
WooCommerce
supported
Zoho Inventory
supported
2 properties
idstring

The unique identifier of a category of product

namestring

The name of category for product

created_atstring · date-time

The date and time when product was created

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
descriptionstring

The description of a product

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
imagesobject[]

The images of a product

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
2 properties
idstring

The unique identifier of an image of a product

urlstring

The url of an image of product

inventory_quantitystring

The quantity of a product in stock

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
namestring

The name of a product

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
notesstring

The notes related to the product, if any.

optionsobject[]

The options of a product

3 supported
Bigcommerce
supported
Shopify
supported
Wix
supported
3 properties
idstring

The unique identifier of an option of a product

namestring

The name of option for product

valuesarray

The values of option for product

pricestring

The price of a product

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
remote_dataRecord<string, any>

Raw data returned from the remote API call.

skustring

The sku of a product

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
statusstring

The status of a product. If no clear mapping exists, then raw value is returned.

Possible values:
activeinactive
3 supported
Commerce7
supported
WooCommerce
supported
Zoho Inventory
supported
tagsstring[]

The tags of a product

2 supported
Shopify
supported
WooCommerce
supported
updated_atstring · date-time

The date and time when product was updated

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
variantsobject[]

The options of a product

4 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
8 properties
idstring

The unique identifier of a variant of a product

imagesobject[]

The images for variant

2 properties
idstring

The unique identifier for image of variant

urlstring

The url of image of variant

inventory_quantitystring

The quantity of variant for product in stock

namestring

The name of variant for product

optionsobject[]

The options for variant

3 properties
idstring

The unique identifier for option of variant

namestring

The name for option of variant

valuestring

The value for option of variant

pricestring

The price of variant for product

skustring

The sku of variant for product

weightstring

The weight of variant

weightstring

The weight of a product

6 supported
Bigcommerce
supported
Commerce7
supported
Shopify
supported
Wix
supported
WooCommerce
supported
Zoho Inventory
supported
weight_unitstring

The weight unit of a product

1 supported
Zoho Inventory
supported
curl -X GET 'https://api.truto.one/unified/ecommerce/products?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ecommerce/products?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/ecommerce/products"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ecommerce',
  'products',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ecommerce",
        "products",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())